typedef struct __cvor
{
	int brojnik, nazivnik;
	struct __cvor *sljedeci;
} cvor;


void najveci (cvor *pocetak)
{
	int max_br, max_naz;
	cvor *temp, *zadnji;
	
	if (pocetak==NULL) // lista je prazna, odmah izlazimo
		return;

	max_br=pocetak->brojnik; max_naz=pocetak->nazivnik;

	for (temp=pocetak->sljedeci; temp!=NULL; temp=temp->sljedeci)
	{
		zadnji=temp; // pamtimo mjesto gdje cemo dodati najveci el.

		// usporedba:
		if (temp->brojnik*max_naz > temp->nazivnik*max_br)
		{
			// temp je veci od max
			max_br=temp->brojnik; max_naz=temp->nazivnik;
		}
	}

	printf ("Najveci razlomak u listi je: %d/%d\n", 
		max_br, max_naz);

	// stvaramo novi cvor
	temp=(cvor *) malloc (sizeof (cvor));
	if (temp == NULL)
	{
		printf ("Nema memorije!\n");
		exit (1);
	}

	temp->brojnik=max_br; temp->nazivnik=max_naz;
	temp->sljedeci=NULL;
	
	// dodajemo ga na kraj liste
	zadnji->sljedeci=temp;
}


